import styles from './styles.module.css';

const BookingWrapper = () => {
    const aisleIndex = 5;
    const seatData = Array.from({ length: 11 }, (_, index) => ({
        id: index + 1,
        status: 'available'
    }));

    const isLeftBlock = (col) => col < aisleIndex;
    const isRightBlock = (col) => col > aisleIndex;

    return (
        <div>
            <div className={styles['theatre']}>
                {Array.from({ length: 6 }, (_, row_index) => (
                    <div className={styles['seat-row']}>
                        {seatData.map((_, column_index) => {
                            const isFirstRow = row_index === 0;
                            const isLastRow = row_index === 6 - 1;

                            if (isLeftBlock(column_index) && column_index === 0 && (isFirstRow || isLastRow)) {
                                return <div key={`gap-left-${row_index}-${column_index}`} className={styles["seat-gap"]} />;
                            }

                            if (
                                isRightBlock(column_index) &&
                                column_index === seatData.length - 1 &&
                                (isFirstRow || isLastRow)
                            ) {
                                return <div key={`gap-right-${row_index}-${row_index}`} className={styles["seat-gap"]} />;
                            }

                            if (column_index == aisleIndex) {
                                return (
                                    <div className={styles['aisle']}></div>
                                )
                            }
                            return (
                                <div className={styles['seat']}></div>
                            )
                        })}
                    </div>
                ))}
            </div>
        </div>
    )
}

export default BookingWrapper;

